# $Revision: 1.170 $, $Date: 2012/03/17 23:20:57 $
#
# Conditional build:
%bcond_without	selinux		# build without SELinux support
#
Summary:	System V initialization program
Summary(de.UTF-8):	System V-Intialisierungsprogramm
Summary(es.UTF-8):	Programa de inicialización System V
Summary(fr.UTF-8):	Programme d'initialisation Sys V
Summary(pl.UTF-8):	Program inicjalizujący w Systemie V
Summary(pt_BR.UTF-8):	Programa de inicialização System V
Summary(ru.UTF-8):	Программы, управляющие базовыми системными процессами
Summary(tr.UTF-8):	System V başlatma programı
Summary(uk.UTF-8):	Програми, що керують базовими системними процесами
Name:		SysVinit
Version:	2.88
Release:	7
License:	GPL v2+
Group:		Base
Source0:	http://download.savannah.gnu.org/releases/sysvinit/sysvinit-%{version}dsf.tar.bz2
# Source0-md5:	6eda8a97b86e0a6f59dabbf25202aa6f
Source1:	sysvinit.logrotate
Source2:	http://www.mif.pg.gda.pl/homepages/ankry/man-PLD/sysvinit-non-english-man-pages.tar.bz2
# Source2-md5:	9ae8a63a4685368fae19707f95475cca
Patch0:		sysvinit-paths.patch
Patch1:		sysvinit-bequiet.patch
Patch2:		sysvinit-wtmp.patch
Patch3:		sysvinit-man.patch
Patch4:		sysvinit-halt.patch
Patch5:		sysvinit-autofsck.patch
Patch6:		sysvinit-pidof.patch
Patch7:		sysvinit-killall5.patch
Patch8:		sysvinit-nopowerstates-single.patch
Patch9:		sysvinit-lastlog.patch
Patch10:	sysvinit-alt-fixes.patch
Patch11:	sysvinit-quiet.patch
Patch12:	sysvinit-rebootconfirmation.patch
URL:		http://savannah.nongnu.org/projects/sysvinit/
%if %{with selinux}
BuildRequires:	libselinux-devel >= 1.28
BuildRequires:	libsepol-devel
%endif
BuildRequires:	rpmbuild(macros) >= 1.202
Requires(postun):	/usr/sbin/groupdel
Requires(pre):	/usr/bin/getgid
Requires(pre):	/usr/sbin/groupadd
Requires:	%{name}-tools = %{version}-%{release}
Requires:	/bin/awk
%{?with_selinux:Requires:	libselinux >= 1.18}
Requires:	login
Requires:	mingetty
Requires:	util-linux >= 2.20-5
Provides:	group(utmp)
Provides:	virtual(init-daemon)
Obsoletes:	virtual(init-daemon)
Obsoletes:	vserver-SysVinit
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_sbindir	/sbin
# as in original flags
%define		specflags	-fomit-frame-pointer

%description
The SysVinit package contains a group of processes that control the
very basic functions of your system. SysVinit includes the init
program, the first program started by the Linux kernel when the system
boots. Init then controls the startup, running and shutdown of all
other programs.

%description -l de.UTF-8
SysVinit ist das erste Programm, das beim Systemstart vom Linux-Kernel
gestartet wird. Es steuert das Starten, Ausführen und Beenden aller
anderen Programme.

%description -l es.UTF-8
SysVinit es el primer programa ejecutado por el kernel Linux cuando se
inicia el sistema. Controla arranque, funcionamiento y cierre de todos
los otros programas.

%description -l fr.UTF-8
SysVinit est le premier programme exécuté par le noyau de Linux
lorsque le système démarre, il contrôle le lancement, l'exécution et
l'arrêt de tous les autres programmes.

%description -l pl.UTF-8
SysVinit jest pierwszym programem uruchamianym przez jądro podczas
startu systemu. Kontroluje start, pracę oraz zamykanie wszystkich
innych programów.

%description -l pt_BR.UTF-8
SysVinit é o primeiro programa executado pelo kernel Linux quando o
sistema é inicializado. Controla inicialização, funcionamento e
finalização de todos os outros programas.

%description -l ru.UTF-8
Пакет SysVinit содержит группу процессов, которые управляют самыми
базовыми функциями вашей системы. SysVinit включает программу init,
самую первую программу, которая запускается ядром Linux при загрузке
системы. После этого init управляет запуском, исполнением и остановом
всех остальных программ.

%description -l tr.UTF-8
SysVinit, sistem açılırken Linux çekirdeği tarafından çalıştırılan ilk
programdır. Diğer programların başlamalarını, çalışmalarını ve
sonlanmalarını sağlar/denetler.

%description -l uk.UTF-8
Пакет SysVinit містить групу процесів, котрі керують самими базовими
функціями вашої системи. SysVinit містить програму init, першу
програму, яку запускає ядро Linux під час загрузки системи. Після
цього init керує запуском, виконанням та зупинкою всіх інших програм.

%package tools
Summary:	Tools used for process and utmp management
Summary(pl.UTF-8):	Narzędzia do zarządzania procesami i bazą utmp
Group:		Base
Obsoletes:	upstart-SysVinit
Conflicts:	SysVinit < 2.86-27
Conflicts:	rc-scripts < 0.4.5.1-6

%description tools
This package contains various tools used for process management.

%description tools -l pl.UTF-8
Ten pakiet zawiera różne narzędzia do zarządzania procesami.

%prep
%setup -q -n sysvinit-%{version}dsf
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1
%patch6 -p1
%patch7 -p1
%patch8 -p1
%patch9 -p1
%patch10 -p1
%patch11 -p1
%patch12 -p0

%build
%{__make} -C src \
	%{?with_selinux:WITH_SELINUX=yes} \
	CC="%{__cc}" \
	LCRYPT="-lcrypt" \
	CFLAGS="%{rpmcflags}" \
	LDFLAGS="%{rpmldflags}"

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{/bin,%{_bindir},%{_sbindir},%{_mandir}/man{1,5,8}} \
	$RPM_BUILD_ROOT{%{_includedir},%{_sysconfdir},/etc/logrotate.d,/var/{log,run}}

%{__make} install -C src \
	ROOT=$RPM_BUILD_ROOT \
	BIN_OWNER=`id -u` \
	BIN_GROUP=`id -g`

install %{SOURCE1} $RPM_BUILD_ROOT/etc/logrotate.d/sysvinit

ln -s ../var/run/initrunlvl $RPM_BUILD_ROOT%{_sysconfdir}
ln -s killall5 $RPM_BUILD_ROOT%{_sbindir}/pidof
ln -s utmpdump $RPM_BUILD_ROOT%{_bindir}/utmpx-dump

> $RPM_BUILD_ROOT%{_sysconfdir}/ioctl.save
> $RPM_BUILD_ROOT/var/log/btmpx
> $RPM_BUILD_ROOT/var/log/faillog
> $RPM_BUILD_ROOT/var/log/lastlog
> $RPM_BUILD_ROOT/var/log/wtmpx
> $RPM_BUILD_ROOT/var/run/initrunlvl

echo .so last.1 > $RPM_BUILD_ROOT%{_mandir}/man1/lastb.1
echo .so utmpdump.1 > $RPM_BUILD_ROOT%{_mandir}/man1/utmpx-dump.1
echo .so halt.8 > $RPM_BUILD_ROOT%{_mandir}/man8/poweroff.8
echo .so halt.8 > $RPM_BUILD_ROOT%{_mandir}/man8/reboot.8
echo .so init.8 > $RPM_BUILD_ROOT%{_mandir}/man8/telinit.8
bzip2 -dc %{SOURCE2} | tar xf - -C $RPM_BUILD_ROOT%{_mandir}
%{__rm} $RPM_BUILD_ROOT%{_includedir}/initreq.h
%{__rm} $RPM_BUILD_ROOT%{_mandir}/README.sysvinit-non-english-man-pages

cp -a man/intl/* $RPM_BUILD_ROOT%{_mandir}

# in util-linux
rm $RPM_BUILD_ROOT{/bin/mountpoint,%{_mandir}/man1/mountpoint.1*}

%clean
rm -rf $RPM_BUILD_ROOT

%pre
%groupadd -g 22 utmp

%post
touch %{_sysconfdir}/ioctl.save /var/log/{btmpx,{fail,last}log}
chmod 000 %{_sysconfdir}/ioctl.save /var/log/{fail,last}log
chown root:root %{_sysconfdir}/ioctl.save /var/log/faillog
chown root:utmp /var/log/lastlog
chmod 600 %{_sysconfdir}/ioctl.save
chmod 640 /var/log/btmpx
chmod 640 /var/log/faillog
chmod 664 /var/log/lastlog
if [ -p /dev/initctl ]; then
	%{_sbindir}/telinit u || :
fi

%triggerpostun -- glibc
if [ -p /dev/initctl ]; then
	%{_sbindir}/telinit u || :
fi

%postun
if [ "$1" = "0" ]; then
	%groupremove utmp
fi

%files
%defattr(644,root,root,755)
%doc COPYRIGHT README doc/{Changelog,Propaganda} src/initscript.sample

%attr(755,root,root) %{_sbindir}/bootlogd
%attr(755,root,root) %{_sbindir}/halt
%attr(755,root,root) %{_sbindir}/init
%attr(755,root,root) %{_sbindir}/poweroff
%attr(755,root,root) %{_sbindir}/reboot
%attr(755,root,root) %{_sbindir}/runlevel
%attr(755,root,root) %{_sbindir}/shutdown
%attr(755,root,root) %{_sbindir}/telinit
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) /etc/logrotate.d/sysvinit
%ghost %{_sysconfdir}/initrunlvl
%ghost /var/run/initrunlvl
%attr(600,root,root) %ghost %{_sysconfdir}/ioctl.save
%attr(640,root,root) %ghost /var/log/btmpx
%attr(664,root,utmp) %ghost /var/log/wtmpx

%{_mandir}/man5/inittab.5*
%{_mandir}/man5/initscript.5*
%{_mandir}/man8/bootlogd.8*
%{_mandir}/man8/halt.8*
%{_mandir}/man8/init.8*
%{_mandir}/man8/lastlog.8*
%{_mandir}/man8/poweroff.8
%{_mandir}/man8/reboot.8
%{_mandir}/man8/runlevel.8*
%{_mandir}/man8/shutdown.8*
%{_mandir}/man8/telinit.8
%lang(de) %{_mandir}/de/man8/init.8*
%lang(de) %{_mandir}/de/man8/telinit.8
%lang(es) %{_mandir}/es/man5/initscript.5*
%lang(es) %{_mandir}/es/man5/inittab.5*
%lang(es) %{_mandir}/es/man8/halt.8*
%lang(es) %{_mandir}/es/man8/init.8*
%lang(es) %{_mandir}/es/man8/poweroff.8
%lang(es) %{_mandir}/es/man8/reboot.8
%lang(es) %{_mandir}/es/man8/runlevel.8*
%lang(es) %{_mandir}/es/man8/shutdown.8*
%lang(es) %{_mandir}/es/man8/telinit.8
%lang(fr) %{_mandir}/fr/man8/halt.8*
%lang(fr) %{_mandir}/fr/man8/reboot.8
%lang(fr) %{_mandir}/fr/man8/runlevel.8*
%lang(fr) %{_mandir}/fr/man8/shutdown.8*
%lang(hu) %{_mandir}/hu/man5/inittab.5*
%lang(hu) %{_mandir}/hu/man8/init.8*
%lang(hu) %{_mandir}/hu/man8/shutdown.8*
%lang(hu) %{_mandir}/hu/man8/telinit.8
%lang(id) %{_mandir}/id/man8/halt.8*
%lang(id) %{_mandir}/id/man8/reboot.8
%lang(id) %{_mandir}/id/man8/shutdown.8*
%lang(it) %{_mandir}/it/man5/initscript.5*
%lang(it) %{_mandir}/it/man5/inittab.5*
%lang(it) %{_mandir}/it/man8/halt.8*
%lang(it) %{_mandir}/it/man8/init.8*
%lang(it) %{_mandir}/it/man8/reboot.8
%lang(it) %{_mandir}/it/man8/runlevel.8*
%lang(it) %{_mandir}/it/man8/shutdown.8*
%lang(it) %{_mandir}/it/man8/telinit.8
%lang(ja) %{_mandir}/ja/man5/initscript.5*
%lang(ja) %{_mandir}/ja/man5/inittab.5*
%lang(ja) %{_mandir}/ja/man8/halt.8*
%lang(ja) %{_mandir}/ja/man8/init.8*
%lang(ja) %{_mandir}/ja/man8/poweroff.8
%lang(ja) %{_mandir}/ja/man8/reboot.8
%lang(ja) %{_mandir}/ja/man8/runlevel.8*
%lang(ja) %{_mandir}/ja/man8/shutdown.8*
%lang(ja) %{_mandir}/ja/man8/telinit.8
%lang(ko) %{_mandir}/ko/man5/initscript.5*
%lang(ko) %{_mandir}/ko/man5/inittab.5*
%lang(ko) %{_mandir}/ko/man8/halt.8*
%lang(ko) %{_mandir}/ko/man8/init.8*
%lang(ko) %{_mandir}/ko/man8/reboot.8
%lang(ko) %{_mandir}/ko/man8/runlevel.8*
%lang(ko) %{_mandir}/ko/man8/shutdown.8*
%lang(ko) %{_mandir}/ko/man8/telinit.8
%lang(pl) %{_mandir}/pl/man5/initscript.5*
%lang(pl) %{_mandir}/pl/man5/inittab.5*
%lang(pl) %{_mandir}/pl/man8/halt.8*
%lang(pl) %{_mandir}/pl/man8/init.8*
%lang(pl) %{_mandir}/pl/man8/poweroff.8
%lang(pl) %{_mandir}/pl/man8/reboot.8
%lang(pl) %{_mandir}/pl/man8/runlevel.8*
%lang(pl) %{_mandir}/pl/man8/shutdown.8*
%lang(pl) %{_mandir}/pl/man8/telinit.8

# devel?
#%{_includedir}/initreq.h

%files tools
%defattr(644,root,root,755)
%attr(755,root,root) /bin/pidof
%attr(755,root,root) %{_sbindir}/fstab-decode
%attr(755,root,root) %{_sbindir}/killall5
%attr(755,root,root) %{_sbindir}/lastlog
%attr(755,root,root) %{_sbindir}/pidof
%attr(755,root,root) %{_sbindir}/sulogin
%attr(755,root,root) %{_bindir}/last
%attr(755,root,root) %{_bindir}/lastb
%attr(755,root,root) %{_bindir}/mesg
%attr(755,root,root) %{_bindir}/utmpdump
%attr(755,root,root) %{_bindir}/utmpx-dump
%attr(755,root,root) %{_bindir}/wall
%attr(640,root,root) %ghost /var/log/faillog
%attr(664,root,utmp) %ghost /var/log/lastlog
%{_mandir}/man1/last.1*
%{_mandir}/man1/lastb.1*
%{_mandir}/man1/mesg.1*
%{_mandir}/man1/wall.1*
%{_mandir}/man1/utmpdump.1*
%{_mandir}/man1/utmpx-dump.1*
%{_mandir}/man8/killall5.8*
%{_mandir}/man8/pidof.8*
%{_mandir}/man8/sulogin.8*
%{_mandir}/man8/fstab-decode.8*
%lang(cs) %{_mandir}/cs/man8/lastlog.8*
%lang(es) %{_mandir}/es/man1/last.1*
%lang(es) %{_mandir}/es/man1/lastb.1
%lang(es) %{_mandir}/es/man1/mesg.1*
%lang(es) %{_mandir}/es/man1/wall.1*
%lang(es) %{_mandir}/es/man8/killall5.8*
%lang(es) %{_mandir}/es/man8/pidof.8*
%lang(es) %{_mandir}/es/man8/sulogin.8*
%lang(fi) %{_mandir}/fi/man1/last.1*
%lang(fi) %{_mandir}/fi/man1/mesg.1*
%lang(fi) %{_mandir}/fi/man1/wall.1*
%lang(fr) %{_mandir}/fr/man1/last.1*
%lang(fr) %{_mandir}/fr/man1/mesg.1*
%lang(fr) %{_mandir}/fr/man1/wall.1*
%lang(fr) %{_mandir}/fr/man8/killall5.8*
%lang(fr) %{_mandir}/fr/man8/lastlog.8*
%lang(fr) %{_mandir}/fr/man8/pidof.8*
%lang(hu) %{_mandir}/hu/man1/last.1*
%lang(hu) %{_mandir}/hu/man1/mesg.1*
%lang(hu) %{_mandir}/hu/man1/wall.1*
%lang(hu) %{_mandir}/hu/man8/lastlog.8*
%lang(it) %{_mandir}/it/man1/last.1*
%lang(it) %{_mandir}/it/man1/lastb.1
%lang(it) %{_mandir}/it/man1/mesg.1*
%lang(it) %{_mandir}/it/man1/wall.1*
%lang(it) %{_mandir}/it/man8/killall5.8*
%lang(it) %{_mandir}/it/man8/lastlog.8*
%lang(it) %{_mandir}/it/man8/pidof.8*
%lang(it) %{_mandir}/it/man8/sulogin.8*
%lang(ja) %{_mandir}/ja/man1/last.1*
%lang(ja) %{_mandir}/ja/man1/lastb.1
%lang(ja) %{_mandir}/ja/man1/mesg.1*
%lang(ja) %{_mandir}/ja/man1/wall.1*
%lang(ja) %{_mandir}/ja/man8/killall5.8*
%lang(ja) %{_mandir}/ja/man8/lastlog.8*
%lang(ja) %{_mandir}/ja/man8/pidof.8*
%lang(ja) %{_mandir}/ja/man8/sulogin.8*
%lang(ko) %{_mandir}/ko/man1/last.1*
%lang(ko) %{_mandir}/ko/man1/lastb.1
%lang(ko) %{_mandir}/ko/man1/mesg.1*
%lang(ko) %{_mandir}/ko/man8/killall5.8*
%lang(ko) %{_mandir}/ko/man8/pidof.8*
%lang(ko) %{_mandir}/ko/man8/sulogin.8*
%lang(pl) %{_mandir}/pl/man1/last.1*
%lang(pl) %{_mandir}/pl/man1/lastb.1
%lang(pl) %{_mandir}/pl/man1/mesg.1*
%lang(pl) %{_mandir}/pl/man1/wall.1*
%lang(pl) %{_mandir}/pl/man8/killall5.8*
%lang(pl) %{_mandir}/pl/man8/lastlog.8*
%lang(pl) %{_mandir}/pl/man8/pidof.8*
%lang(pl) %{_mandir}/pl/man8/sulogin.8*
%lang(ru) %{_mandir}/ru/man8/lastlog.8*
%lang(sv) %{_mandir}/sv/man8/lastlog.8*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: SysVinit.spec,v $
Revision 1.170  2012/03/17 23:20:57  gotar
- O: virtual(init-daemon), stop breaking things you moron! 7 binaries and
  5 manpages conflict between this package and upstart, if you want some
  fallback make it properly

Revision 1.169  2012/02/03 16:16:00  qboosh
- pl for -tools
- added URL
- updated docs
- dropped unused "preconfigured" bcond

Revision 1.168  2011/12/23 19:36:01  glen
- upstart-SysVinit is replaced by -tools, not by main package

Revision 1.167  2011/12/23 19:34:06  glen
- do not obsolete virtual(init-daemon), breaks upstart install with sysvinit fallback possibility

Revision 1.166  2011/12/04 20:46:57  glen
- correct version for package split conflicts

Revision 1.165  2011/12/04 14:39:54  wiget
- fix version in C: rc-scripts
- rel. 4

Revision 1.164  2011/12/04 13:51:10  arekm
- rel 3; tools C rc-scripts that have fstab-decode

Revision 1.163  2011/12/04 13:45:24  arekm
- rel 2; tools C old (non-splitted) SysVinit

Revision 1.162  2011/12/03 23:13:32  wiget
- renumbered patches
- rel. 1

Revision 1.161  2011/12/03 23:11:50  wiget
- up to 2.88
- removed patches applied or fixed upstream:
    sysvinit-blowfish.patch sysvinit-chroot.patch
    sysvinit-console-open.patch sysvinit-godot.patch
    sysvinit-haltname.patch sysvinit-ipv6.patch
    sysvinit-maxproclen.patch sysvinit-md5-bigendian.patch
    sysvinit-no-abort.patch sysvinit-selinux.patch
    sysvinit-timeval.patch

Revision 1.160  2011/11/28 23:49:58  gotar
- moved /var/log/{fail,last}log to tools too, other cosmetics, rel. 29

Revision 1.159  2011/11/27 18:53:12  wiget
- moved lastlog to -tools subpackage

Revision 1.158  2011/11/27 17:32:24  adwol
- /etc/logrotate.d/sysvinit should be configuration file

Revision 1.157  2011/11/27 16:47:35  wiget
- moved killall5, pidof, sulogin, last, lastb, mesg, utmpx-dump and wall to -tools subpackage
- rel. 27

Revision 1.156  2011/09/05 15:41:47  glen
- moved mountpoint to util-linux package; rel 26

Revision 1.155  2011/06/15 09:42:25  arekm
- rel 25; O: upstart-SysVinit directly

Revision 1.154  2010/08/28 08:11:57  pluto
- package /bin/pidof, release 24.

Revision 1.153  2009/12/17 14:55:53  baggins
- rel 23
- do rotate wtmpx, it grows into oblivion without it, really

Revision 1.152  2009/11/30 08:47:21  baggins
- rel 22
- make lastlog readable for everyone (same as wtmpx)

Revision 1.151  2009/11/24 11:22:51  glen
- release 21

Revision 1.150  2009/11/22 23:11:13  glen
- doc src/initscript.sample

Revision 1.149  2009/11/22 23:06:23  glen
- if someone was smart enough to rename /etc/sysconfig/initscript to /etc/rc.d/rc.init, update docs too; rel 20

Revision 1.148  2009/03/19 15:46:07  glen
- does not require logrotate; rel 19

Revision 1.147  2008/12/08 18:45:51  arekm
- release 18

Revision 1.146  2008/12/08 18:45:03  arekm
- revert removal

Revision 1.144  2008/08/20 13:12:33  shadzik
- rel 17

Revision 1.143  2008/08/20 12:52:46  shadzik
- add patch23
- BR: libsepol-devel on SELinux bcond
- rel 16

Revision 1.142  2008/06/26 14:55:29  arekm
- rel 15; update patches from fc

Revision 1.141  2008-04-07 08:56:32  glen
- release 14

Revision 1.140  2008-04-07 08:44:29  glen
- R: logrotate due logrotate.d packaging; rel 13

Revision 1.139  2008-03-20 20:33:57  qboosh
- P+O: virtual(init-daemon)

Revision 1.138  2007-12-31 15:58:05  glen
- rel 12

Revision 1.137  2007-11-13 21:17:40  glen
- send hup to init if /dev/initctl pipe present; rel 11

Revision 1.136  2007-11-13 10:19:17  glen
- add ENOIOCTLCMD fix from altlinux
- `/sbin/telinit u` after glibc upgrade in this spec, not glibc

Revision 1.135  2007-08-22 15:06:32  baggins
- release 10
- shamelessly ripped lastlog program from shadow and added it here

Revision 1.134  2007/07/25 11:34:28  glen
- check-files cleanup

Revision 1.133  2007/02/12 21:23:45  glen
- tabs in preamble

Revision 1.132  2007/02/12 00:48:34  baggins
- converted to UTF-8

Revision 1.131  2007/02/03 23:56:56  arekm
- rel 9; package /var/run/initrunlvl as ghost

Revision 1.130  2006/09/08 18:04:14  glen
- rel 8 (rebuild with fixed %useradd/%groupadd macros)

Revision 1.129  2006/06/20 18:43:19  glen
- rel 7

Revision 1.128  2005/12/24 22:26:32  arekm
- selinux patch replaced with less invasive one

Revision 1.127  2005/10/17 19:41:44  baggins
- rel 6
- obsoletes vserver-SysVinit

Revision 1.126  2005/09/04 21:50:49  arekm
- rel 5; fix single mode (note that in sysvinit 2.86 default is sulogin not shell)

Revision 1.125  2005/07/25 12:10:10  havner
- rel 4, rebuild for selinux

Revision 1.124  2005/07/18 13:27:20  havner
- grr, create it first
- rel 3

Revision 1.123  2005/07/18 13:22:01  havner
- create btmpx in %post since pwdutils requires this file to be created
  to use it (wont create it itself)

Revision 1.122  2005/05/01 18:49:15  glen
- new spec syntax is so cool

Revision 1.121  2005/05/01 17:31:30  glen
- use %useradd/%groupadd macros

Revision 1.120  2005/04/18 23:43:50  mmazur
- rel 1 for th

Revision 1.119  2005/01/19 22:07:49  adamg
- when building --without selinux, don't BR: libsepol-devel

Revision 1.118  2004/12/26 23:24:47  qboosh
- updated for 2.86
- updated paths,autofsck,pidof,killall5,selinux patches
- removed obsolete initctl,log-signals patches
- selinux patch updated from FC devel - R: libselinux >= 1.18, libsepol
- test release 0.1

Revision 1.117  2004/11/17 21:17:02  glen
- added selinux bcond; rel 9; STBR

Revision 1.116  2004/11/01 11:19:03  marcus
- rel. 8.

Revision 1.115  2004/10/17 06:39:55  ankry
- %groupremove support, some unification

Revision 1.114  2004/10/08 11:19:20  qboosh
- logrotate is optional, but mingetty is required by provided inittab to access machine

Revision 1.113  2004/10/08 08:33:15  undefine
- add bcond to build with stupid default R: values

Revision 1.112  2004/08/23 07:54:01  qboosh
- quote CC

Revision 1.111  2004/08/21 18:08:42  areq
- use %{__cc}

Revision 1.110  2004/08/16 14:57:32  mmazur
- rel 7; Req libselinux >= 1.14
- current SysVinit requires functions from libselinux that are not present
  in old version of libselinux (although libselinux hasn't changed it's
  soversion, the abi *has* changed, which I've learned the hard way, when
  one of my servers stopped booting after I've upgraded SysVinit, but not
  libselinux)
- sending to builders

Revision 1.109  2004/07/15 22:08:59  qboosh
- updated selinux patch for libselinux 1.14; release 6

Revision 1.108  2004/02/25 12:59:06  qboosh
- removed old pre, there is already new one

Revision 1.107  2004/02/25 12:54:23  qboosh
- updated selinux patch, fixed pre script, release 5

Revision 1.106  2003/12/26 18:28:24  arekm
- new patches (selinux support, block signals when talking with syslog, clean killall)

Revision 1.105  2003/12/11 15:48:21  undefine
- release 3 to allow upgrade from RA

Revision 1.104  2003/08/30 12:23:07  mmazur
- rel 2 for ac

Revision 1.103  2003/08/04 11:35:58  qboosh
- use SUSv2-compliant chown syntax (user:group) instead of deprecated

Revision 1.102  2003/06/29 11:24:25  areq
- add sysvinit-initctl.patch (remove create /dev/initctl)

Revision 1.101  2003/05/25 11:00:50  malekith
- massive attack, adding Source-md5

Revision 1.100  2003/05/25 05:45:21  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.99  2003/04/24 10:16:24  trojan
- updated to 2.85

Revision 1.98  2002/06/19 09:03:01  kloczek
- merge translations from KSI and Conectiva.

Revision 1.97  2002/06/19 07:22:31  gotar
- u+w %{_bindir}/wall,
- new %doc,
- release 4.

Revision 1.96  2002/02/22 23:28:38  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.95  2002/01/24 00:13:00  ankry
- added man-pages tar URL

Revision 1.94  2002/01/18 02:12:13  kloczek
- perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.93  2002/01/13 14:02:37  kloczek
- release 3.

Revision 1.92  2002/01/03 23:01:55  gotar
- PreReq -> Requires: /bin/awk.

Revision 1.91  2001/12/18 20:04:53  gotar
- release 2.

Revision 1.90  2001/12/13 22:29:22  gotar
- well, in fact not everything...

Revision 1.89  2001/12/13 07:53:23  gotar
- ooops, everything what shall be done would be after logrotate, reverted.

Revision 1.88  2001/12/13 07:48:12  gotar
- touch, chown and chmod on %ghost files in %post,
- Requires(post): fileutils.

Revision 1.87  2001/12/01 17:14:27  kloczek
- updated to 2.84.

Revision 1.86  2001/11/30 20:35:34  gotar
- fixed broken logs.

Revision 1.85  2001/11/30 20:23:10  gotar
- added /var/log/faillog log,
- release 6.

Revision 1.84  2001/11/12 07:10:43  ankry
- removed bogus da man pages
- release 5

Revision 1.83  2001/11/11 15:33:50  ankry
- added da,de,es,fi,fr,hu,id,it,ja,ko.pl man pages
- release 4

Revision 1.82  2001/10/30 17:24:00  gotar
- changed /var/log/wtmpx perms to 664,
- adapterized sysvinit.logrotate,
- release 3.

Revision 1.81  2001/10/30 08:00:34  gotar
- fixed build process (/etc/sysconfig -> %{_sysconfdir} in install -d...).

Revision 1.80  2001/10/30 07:41:54  gotar
- adapterized sysvinit.logrotate,
- release 2.

Revision 1.79  2001/10/06 08:41:35  kloczek
- updated to 2.83.

Revision 1.78  2001/09/20 16:19:06  saq
- don't require make (what for?)

Revision 1.77  2001/08/28 10:53:06  kloczek
- updated to 2.82.

Revision 1.76  2001/08/13 13:24:41  kloczek
- release 2.

Revision 1.75  2001/08/12 19:22:24  qboosh
- added /etc/ioctl.save file (as %ghost)

Revision 1.74  2001/08/11 11:07:35  kloczek
- updated to 2.81 and removed outdated patches.

Revision 1.73  2001/07/26 05:42:02  saq
- reverting last change: removing new macros from %p{re,ost}{,un}

Revision 1.71  2001/06/16 12:53:16  kloczek
- merge umask rawhide patch.

Revision 1.70  2001/06/13 12:22:50  malekith
- added cread patch (can anybody check if it works?)
- rel 24

Revision 1.69  2001/04/30 16:05:13  kloczek
- added using %{rpmcflags} macro.

Revision 1.68  2001/03/11 15:41:15  kloczek
- relase 23,
- run "/sbin/telinit u || :" in %post,
- merged OpenWall owl-bound-format patch.

Revision 1.67  2001/02/16 05:02:59  kloczek
- release 22,
- merge wall-n, notty patches from rawhide.

Revision 1.66  2001/02/10 08:34:53  kloczek
- release 21.

Revision 1.65  2001/01/25 20:03:20  misiek
- Massive attack. We use -O0 instead -O flags while debug enabled.

Revision 1.64  2000/12/28 14:52:46  baggins
- it does not need static glibc just the correct CFLAGS ;)

Revision 1.63  2000/12/04 18:25:49  kloczek
- release 20.

Revision 1.62  2000/12/04 12:51:55  qboosh
- fix manual: telinit(8) is in init(8), not halt(8)

Revision 1.61  2000/10/10 21:10:56  kloczek
- release 19: use new rpm automation suit.

Revision 1.60  2000/09/02 01:47:21  baggins
- release 18
- fixed wtmpx for good

Revision 1.59  2000/09/01 13:42:32  baggins
- release 17
- DONT ROTATE lastlog, IT DOES NOT GROW

Revision 1.58  2000/08/29 14:01:10  baggins
- release 16
- better wtmpx patch

Revision 1.57  2000/07/15 05:04:02  kloczek
- release 15,
- added login to Requires list.

Revision 1.56  2000/07/13 11:54:38  mkochano
- Fixed 'postun' section.

Revision 1.55  2000/07/11 13:27:43  baggins
- release 13
- added patch to sulogin to recognize blowfish passwords

Revision 1.54  2000/07/04 02:41:17  kloczek
- merge rawhide patches.

Revision 1.53  2000/07/03 21:21:19  zagrodzki
- /bin/awk

Revision 1.52  2000/07/03 21:21:04  zagrodzki
- prereq: awk

Revision 1.51  2000/06/09 07:22:45  kloczek
- added using %{__make} macro.

Revision 1.50  2000/05/26 06:29:25  mkochano
- Changed (60 -> 22) gid of group utmp created in %post to match value from
  PLD-doc/uid_gid.db.txt.

Revision 1.49  2000/05/24 14:16:12  zagrodzki
- removed update-db from %pre/%post
- release++

Revision 1.48  2000/05/17 00:36:13  kloczek
- spec adapterized.

Revision 1.47  2000/05/09 20:00:54  baggins
- chgrp utmp /var/log/lastlog

Revision 1.46  2000/04/26 22:03:13  zagrodzki
- prereq: glibc-static

Revision 1.45  2000/04/26 14:27:59  zagrodzki
- removed all %post

Revision 1.44  2000/04/25 19:18:08  zagrodzki
- Prereq: make, fileutils

Revision 1.43  2000/04/17 11:37:11  kloczek
- release 7.

Revision 1.42  2000/04/17 10:51:45  mis
- removed obscure %{_sbindir} redefinition
- removed dependency on fileutils

Revision 1.41  2000/04/15 18:42:01  kloczek
- added man patch.

Revision 1.40  2000/04/15 18:28:47  kloczek
- release 6.

Revision 1.39  2000/04/15 15:27:21  mis
- moved creation of utmp group to SysVinit (to avoid requirements loop)

Revision 1.38  2000/04/04 12:48:14  kloczek
- release 6.

Revision 1.37  2000/04/04 10:08:37  zagrodzki
- Requires: mingetty

Revision 1.36  2000/04/01 11:14:21  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.35  2000/03/28 16:54:14  baggins
- translated kloczkish into english

Revision 1.34  2000/03/10 10:34:19  kloczek
- release 5.

Revision 1.33  2000/03/10 10:33:16  kloczek
- release 4,
- spec adapterized.

Revision 1.32  2000/03/02 17:23:15  misiek
- updated to 2.78

Revision 1.31  2000/02/29 14:54:48  raven
- release 7,
- added wtmpx support for login.

Revision 1.30  1999/12/18 04:03:56  kloczek
- release 6,
- fix: move /var/log/wtmp to /var/log/wtmp.rpmsave only if /var/log/wtmp
  exist.

Revision 1.29  1999/12/15 21:07:54  kloczek
- release 5,
- added "mv -f /var/log/wtmp /var/log/wtmp.rpmorig" in %post.

Revision 1.28  1999/11/09 00:01:20  kloczek
- release 4,
- changed group to utmp on wtmpx file to allow logging sgid utmp programs
  like *terms to wtpmx,
- added chgrp utmp for wtmpx in %post.

Revision 1.27  1999/10/09 18:57:28  kloczek
- release 3,
- removed unused securelevel-security (integrated in current version),
- added md5-bigendian patch with fix big endian not proof code in init.

Revision 1.26  1999/09/01 18:56:19  kloczek
- updated to 2.77,
- added two patches from rawhide (sigpwr and securelevel-security),
- 640 on btmpx and 644 on lastlog and wtmpx,
- canges in %description's.

Revision 1.25  1999/08/02 14:49:39  misiek
- initscript moved to rc-scripts

Revision 1.24  1999/07/12 23:06:15  kloczek
- added using CVS keywords in %changelog (for automating them).
